.TH wxSashEvent 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxSashEvent \- See external documentation: wxSashEvent\&.
.SH DESCRIPTION
.LP
See external documentation: wxSashEvent <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsashevent\&.html>\&. 
.RS 2
.TP 4
.B
Use wxEvtHandler:connect/3 with EventType::
\fIsash_dragged\fR
.RE
.LP
See also the message variant #wxSash{} event record type\&.
.LP
This class is derived (and can use functions) from: 
.br
wxCommandEvent 
.br
wxEvent 

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxSashEvent()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
getEdge(This::wxSashEvent()) -> WxSashEdgePosition
.br
.RS
.TP
Types
WxSashEdgePosition = integer()
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsashevent\&.html#wxsasheventgetedge>\&. 
.br
 WxSashEdgePosition is one of ?wxSASH_TOP | ?wxSASH_RIGHT | ?wxSASH_BOTTOM | ?wxSASH_LEFT | ?wxSASH_NONE
.RE
.LP
.B
getDragRect(This::wxSashEvent()) -> {X::integer(), Y::integer(), W::integer(), H::integer()}
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsashevent\&.html#wxsasheventgetdragrect>\&.
.RE
.LP
.B
getDragStatus(This::wxSashEvent()) -> WxSashDragStatus
.br
.RS
.TP
Types
WxSashDragStatus = integer()
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsashevent\&.html#wxsasheventgetdragstatus>\&. 
.br
 WxSashDragStatus is one of ?wxSASH_STATUS_OK | ?wxSASH_STATUS_OUT_OF_RANGE
.RE
